using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Odbojka1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int A = int.Parse(Console.ReadLine());
            int ProsekPoSetu, OstatakPoMecu;
            
            if (3 * A >= N)  
            {
                Console.WriteLine("-1");
            }
            else 
            {

                if ((A * 2 - 2) * 3 < N) 
                {
                    ProsekPoSetu = N / 5;
                    OstatakPoMecu = N - ProsekPoSetu * 5;
                    if ((A * 2 - 2) * 5 < N) 
                    {
                        int PoeniPorazenog = (ProsekPoSetu - 2) / 2;
                        int PoeniPobednika = PoeniPorazenog + 2;
                        int PreostaliPoeni = N - 4 * (PoeniPobednika + PoeniPorazenog);
                        if (PreostaliPoeni % 2 == 0)
                        {
                            for (int i = 0; i < 4; i++)
                            {
                                Console.WriteLine("{0} {1}", PoeniPobednika, PoeniPorazenog);
                            }
                            PoeniPorazenog = (PreostaliPoeni - 2) / 2;
                            PoeniPobednika = 2 + PoeniPorazenog;
                            Console.WriteLine(" {0} {1} ", PoeniPobednika,PoeniPorazenog);
                            
                        }
                        else 
                        {
                            PoeniPobednika = A;
                            PoeniPorazenog = A - 3;
                            Console.WriteLine("{0} {1}", PoeniPobednika, PoeniPorazenog);
                            PoeniPorazenog = (ProsekPoSetu - 2) / 2;
                            PoeniPobednika = PoeniPorazenog + 2;
                            for (int i = 0; i < 3; i++)
                            {
                                Console.WriteLine("{0} {1}", PoeniPobednika, PoeniPorazenog);
                            }
                            PreostaliPoeni = N - 3 * (PoeniPobednika + PoeniPorazenog) - (2*A - 3);
                            PoeniPorazenog = (PreostaliPoeni - 2) / 2;
                            PoeniPobednika = 2 + PoeniPorazenog;
                            Console.WriteLine("{0} {1}", PoeniPobednika, PoeniPorazenog);

                        }

                    }
                    else 
                    {
                        int PoeniPobednika = A;
                        int PoeniPorazenog = ProsekPoSetu - PoeniPobednika;
                        for (int i = 0; i < 4; i++)
                        {
                            Console.WriteLine("{0} {1} ",PoeniPobednika,PoeniPorazenog);
                        }
                        Console.WriteLine("{0} {1}", PoeniPobednika , PoeniPorazenog + OstatakPoMecu);
                    }

                }
                else 
                {
                    int PoeniPobednika = A;
                    int PoeniPorazenog = (N - 3 * A) / 3;
                    OstatakPoMecu = N - 3* PoeniPobednika;
                    if (OstatakPoMecu % 3 == 0)
                    {
                        Console.WriteLine("{0}:{1}", PoeniPobednika, PoeniPorazenog);
                    }
                    else if (OstatakPoMecu % 3 == 1)
                    {
                        for (int i = 0; i < 2; i++)
                        {
                            Console.WriteLine("{0}:{1}", PoeniPobednika, PoeniPorazenog);
                        }
                        Console.WriteLine("{0}:{1}", PoeniPobednika, PoeniPorazenog + 1);
                    }
                    else
                    {
                        for (int i = 0; i < 2; i++)
                        {
                            Console.WriteLine("{0}:{1}", PoeniPobednika, PoeniPorazenog);
                        }
                        Console.WriteLine("{0}:{1}", PoeniPobednika, PoeniPorazenog + 2);
                    }
                    
                }


            }
            Console.ReadLine();
        }
    }
}